<?php

namespace App\Http\Controllers;

use App\Http\Requests\ProductSearchRequest;
use App\Models\Product;
use App\Http\Requests\StoreProductRequest;
use App\Http\Requests\UpdateProductRequest;
use App\Services\AirportService;
use App\Services\ProductService;
use Illuminate\Http\Request;

class FrsProductController extends Controller
{
    private ProductService $productService;
    private $airportService;

    public function __construct(ProductService $productService, AirportService $airportService)
    {

        $this->productService = $productService;
        $this->airportService = $airportService;
    }
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreProductRequest $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Product $product)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Product $product)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateProductRequest $request, Product $product)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Product $product)
    {
        //
    }

    public function search(ProductSearchRequest $request)
    {
        $filters = $request->all();
        $request->flashOnly(array_keys($filters));

        $airports = $this->airportService->listAirports();

        // Perform the search
        $packages = $this->productService->searchProducts($filters);

        return view('search', compact('packages', 'filters','airports'));
    }

}
