<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreVehicleRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'customer_id' => 'required|string|max:50',
            'vehicle_no' => 'required|string|max:50',
            'vehicle_make' => 'required|integer|max:100|unique:customers,email',
            'vehicle_model' => 'required|integer|max:20|unique:customers,mobile',
            'vehicle_color' => 'nullable|string|max:20',
            'address' => 'required|string|max:255',
        ];
    }
}
