<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AirportProducts extends Model
{
    use HasFactory;

    protected $fillable = [
        'product_id',
        'airport_id',
        'is_active',
        'price',
        'available_quantity'
    ];

    protected $casts = [
        'is_active' => 'boolean',
        'price' => 'decimal:2',
        'available_quantity' => 'integer'
    ];

    protected $with = ['product', 'airport'];

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function airport()
    {
        return $this->belongsTo(Airport::class);
    }
}
