<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Block extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'latitude',
        'longitude',
        'capacity',
        'site_id'
    ];

    protected $casts = [
        'latitude' => 'decimal:8',
        'longitude' => 'decimal:8',
        'capacity' => 'integer'
    ];

    protected $with = ['site'];

    public static $rules = [
        'name' => 'required|string|max:150',
        'latitude' => 'required|numeric|between:-90,90',
        'longitude' => 'required|numeric|between:-180,180',
        'capacity' => 'required|integer|min:0',
        'site_id' => 'required|exists:sites,id'
    ];
    public function site()
    {
        return $this->belongsTo(Site::class);
    }
}
