<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Terminal extends Model
{
    use HasFactory;

    protected $fillable = [
        'airport_id',
        'terminal_id',
        'terminal_name',
        'terminal_status'
    ];

    public static $rules = [
        'name' => 'required|string|max:150',
        'airport_id' => 'required|exists:airports,id', // Ensure airport_id exists in airports table
        'status' => 'nullable|boolean'
    ];

    public function airport()
    {
        return $this->belongsTo(Airport::class);
    }

}
