<?php

namespace App\Services;

use App\Models\Customer;

class CustomerService
{
    private Customer $model;

    public function __construct(Customer $customer)
    {
        $this->model = $customer;
    }

    /**
     * Store a new customer.
     *
     * @param array $data
     * @return Customer
     */
    public function fetchOrCreate($email, array $data): Customer
    {
        // Create and return the customer
        return $this->model::firstOrCreate(
            ['email' =>  $email],
            $data
        );
    }

    public function getCustomerByEmail(mixed $email)
    {
        return $this->model::where('email', $email)->first();
    }

    public function getCustomerById($id)
    {
        return $this->model::where('id', $id)->first();
    }
}
