<?php

namespace App\Services;

use App\Models\Payment;
use App\Models\PaymentLog;

class PaymentService
{
    private PaymentLog $paymentLog;
    private Payment $payment;

    public function __construct(Payment $payment, PaymentLog $paymentLog)
    {
        $this->paymentLog = $paymentLog;
        $this->payment = $payment;
    }

    public function savePayment($data)
    {
        $data['payment_status'] = 'pending';
        return $this->payment::create($data);
    }

    public function updatePayment(Payment $payment, $data)
    {
        return $payment->update($data);
    }

    public function saveCheckoutSuccessLog($data)
    {
        return $this->paymentLog::create($data);
    }

    public function getPaymentBySession($where ,$id)
    {
        return $this->payment->where($where, $id)->first();
    }

}
