<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        //changed after migration created

        Schema::create('airport_products', function (Blueprint $table) {
            $table->id();
            $table->foreignId('product_id')->constrained()->onDelete('restrict');
            $table->foreignId('airport_id')->constrained()->onDelete('restrict');
            $table->boolean('is_active')->default(true);
            $table->decimal('price', 10, 2)->unsigned();
            $table->integer('available_quantity')->unsigned()->default(0);
            $table->timestamps();

            // Add unique constraint to prevent duplicate assignments
            $table->unique(['product_id', 'airport_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_assign_airports');
    }
};
