<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bookings', function (Blueprint $table) {
            $table->id()->autoIncrement();
            $table->integer('company_id');
            $table->integer('airport_id');
            $table->integer('vehicle_id');
            $table->integer('customer_id');
            $table->integer('product_id');
            $table->integer('block_id');
            $table->datetime('booking_date');
            $table->dateTime('date_from');
            $table->dateTime('date_to');
            $table->string('dis_code')->nullable();
            $table->decimal('price', 10, 2);
            $table->decimal('net_price', 10, 2);
            $table->string('status', 20)->default('pending');
            $table->tinyInteger('pay_at_exit')->default(0);
            $table->string('payment_status')->default('pending');
            $table->string('payment_ref')->nullable();
            $table->tinyInteger('refunded')->default(0);
            $table->date('cancel_date')->nullable();
            $table->text('cancel_reason')->nullable();
            $table->decimal('delay_charge', 10, 2)->nullable();
            $table->text('remarks')->nullable();
            $table->integer('created_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bookings');
    }
};
