<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->decimal('tax_amount', 10, 2)->default('0.00');
            $table->decimal('discount_amount', 10, 2)->default('0.00');
            $table->enum('refund_status', ['not_requested', 'pending', 'completed', 'failed'])->default('not_requested');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->dropColumn(['tax_amount', 'discount_amount', 'refund_status']);
        });
    }
};
