<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('bookings', function (Blueprint $table) {
            $table->decimal('tax_amount', 10, 2)->default('0.00');
            $table->decimal('discount_amount', 10, 2)->default('0.00');
            $table->decimal('total_amount', 10, 2);
            $table->string('promotion_code', 50)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('bookings', function (Blueprint $table) {
            $table->dropColumn(['tax_amount', 'discount_amount', 'total_amount', 'promotion_code']);
        });
    }
};
