@extends('layouts.app')

@section('title', 'Holiday Parking - What We Offer')

@section('content')
    @include('partials.header', ['title' =>  __('pages.about.title')])

    <section id="about-page" class="py-16 space-y-14">

        <!-- Flex container -->
        <div class="container flex flex-col-reverse items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            <!-- Left -->
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <!-- List Item 1 -->

                <!-- Heading -->
                <h2 class="text-4xl font-bold text-left text-fontBase">
                    Meet & Greet
                </h2>
                <p class="text-left">
                    Meet & Greet is a premium service, also known as valet parking.
                    This is where a professional driver from your chosen company meets you at the terminal
                    to collect your vehicle and park it securely on your behalf.
                </p>
                <p class="text-left">
                    On your return, your car will be ready at the terminal, for a quick and easy handover.
                    This service is safely parked while you travel and is available when you return making
                    your travel experience smooth.
                </p>
            </div>

            <!-- Right -->
            <div class="flex flex-col md:w-1/2">
                <img src="{{ asset('assets/bg/bg_img_meet_greet.svg') }}" alt="Meet and Greet" class="w-auto"/>
            </div>
        </div>

        <!-- Flex container -->
        <div class="container flex flex-col items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            <!-- Left -->
            <div class="flex flex-col md:w-1/2">
                <img src="{{ asset('assets/bg/bg_img_park_ride.svg') }}" alt="Park & Ride" class="w-auto"/>
            </div>
            <!-- Right -->
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <!-- List Item 1 -->

                <!-- Heading -->
                <h2 class="text-4xl font-bold text-left text-fontBase">
                    Park & Ride
                </h2>
                <p class="text-left">
                    Park & Ride is the most budget - friendly parking option providing excellent value without
                    compromising on service. After parking your vehicle you can enjoy a complimentary shuttle bus
                    that departs every 5 to 15 minutes taking you directly to the terminal.
                </p>
                <p class="text-left">
                    This service combines affordability and customer care, allowing you to relax and enjoy the ride
                    without worrying about the safety of your vehicle. As our park and ride service is designed with
                    security in mind ensuring your car is protected while you travel.
                </p>
            </div>
        </div>

    </section>
@endsection
