@extends('backend.layouts.app')

@section('title', $title)

@section('content')
    <div class="app-content-header">
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-6"><h3 class="mb-0">{{ ucwords($title) }}</h3></div>
            </div>
        </div>
    </div>
    <div class="app-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12 col-sm-12 col-md-12">
                    <div class="card card-info card-outline mb-4">
                        <form class="needs-validation" novalidate enctype="multipart/form-data" id="companyAdd">
                            @csrf
                            <input type="hidden" id="companyId" name="id" />
                            <div class="card-body">
                                <div class="row g-3">
                                    <div class="col-md-4">
                                        <label for="companyName" class="form-label">Company name</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="companyName"
                                            name="name"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="registerNo" class="form-label">Registration Number</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="registerNo"
                                            name="register_number"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="vatNo" class="form-label">VAT Number</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="vatNo"
                                            name="vat_number"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="address" class="form-label">Address</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="address"
                                            name="address"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="street" class="form-label">Street</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="street"
                                            name="street"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="city" class="form-label">City</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="city"
                                            name="city"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="country" class="form-label">Country</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="country"
                                            name="country"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="postalCode" class="form-label">Postal Code</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="postalCode"
                                            name="postal_code"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="hotline1" class="form-label">Hotline 1</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="hotline1"
                                            name="hotline_1"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="hotline2" class="form-label">Hotline 2</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="hotline2"
                                            name="hotline_2"
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="bookingEmail" class="form-label">Booking Email</label>
                                        <input
                                            type="email"
                                            class="form-control form-control-sm"
                                            id="bookingEmail"
                                            name="booking_email"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="password" class="form-label">Password</label>
                                        <input
                                            type="password"
                                            class="form-control form-control-sm"
                                            id="password"
                                            name="password"
                                            minlength="8"
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <hr class="hr hr-blurry" />
                                    <div class="col-md-4">
                                        <label for="companyEmail" class="form-label">Company Email</label>
                                        <input
                                            type="email"
                                            class="form-control form-control-sm"
                                            id="companyEmail"
                                            name="company_email"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="col-md-4">
                                        <label for="website" class="form-label">Website</label>
                                        <input
                                            type="text"
                                            class="form-control form-control-sm"
                                            id="website"
                                            name="website"
                                            required
                                        />
                                        <div class="valid-feedback">Looks good!</div>
                                    </div>
                                    <div class="input-group mb-3">
                                        <input type="file" class="form-control" name="logo" id="logo" />
                                        <label class="input-group-text" for="logo">Upload</label>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <button class="btn btn-info float-end" type="submit">Save</button>
                            </div>
                            <!-- Loader Overlay -->
                            <div class="card-overlay" id="addLoader">
                                <div class="spinner-border text-success" role="status">
                                    <span class="visually-hidden">Loading...</span>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="card mb-4">
                        <div class="card-body" style="overflow: auto;">
                            {{ $dataTable->table() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <x-update-confirmation-modal
        message="Are you sure you want to update this company?"
    />
    <x-delete-confirmation-modal
        message=" Are you sure you want to delete this company? This action cannot be undone."
    />
@endsection

@push('scripts')
    <script>
        const companyStoreRoute = "{{ route('company.store') }}";
    </script>
    <script src="{{ asset('js/settings/setting.js') }}"></script>
    <script src="{{ asset('js/settings/company.js') }}"></script>
    {{ $dataTable->scripts(attributes: ['type' => 'module']) }}
@endpush

@push('styles')
    <link rel="stylesheet" href="{{ asset('css/datatables-custom.css') }}" />
@endpush
