@extends('layouts.app')

@section('title', 'Holiday Parking - Home')

@section('content')
    <section id="hero" class="text-fontBase font-poppins">
        <div class="w-full flex flex-col-reverse bg-brandGreen py-20 md:pb-0 items-center mx-auto space-y-0 md:flex-row">
            <div class="flex flex-row md:flex-row-reverse flex-1 mt-8 md:mt-0 w-full md:w-1/2 bg-[url('{{ asset('assets/bg/hero-left.svg') }}')] bg-contain bg-bottom bg-no-repeat leftdiv">
                <div class="flex flex-col max-w-lg md:min-w-550 px-2 space-y-6">
                    <div>
                        <img src="{{ asset('assets/logo/hero-logo.svg') }}" alt="Holiday Parking" class="mx-auto md:mx-0"/>
                    </div>
                    <p class="text-3xl text-white font-bold text-left mb-2 md:pr-14 text-center md:text-left">
                        Start your journey with exclusive offers from <br>
                        our premier dealers,<br>
                        all featuring convenient <br>
                        parking.
                    </p>
                </div>
            </div>

            <div class="flex flex-row flex-1 w-full md:w-1/2 h-full md:min-h-550 bg-[url('{{ asset('assets/bg/hero-right.svg') }}')] bg-contain bg-bottom bg-no-repeat h-full items-start rightdiv">
                @include('partials.search-form')
            </div>
        </div>

        <div class="w-full flex bg-brandGreen/25 items-center mx-auto py-4">
            <p class="flex-none text-center mx-auto text-md md:text-lg"> {{ __('pages.home.hero_bottom') }}</p>
        </div>
    </section>

    <!-- How-It-Works -->
    <section id="howitworks" class="py-12">
        <!-- Flex Container -->
        <div class="w-full flex items-center mx-auto py-4" >
            <!-- Heading -->
            <h2 class="text-4xl font-bold text-center mx-auto text-brandGreen">
                How It Works?
            </h2>
        </div>
        <!-- Flex container -->
        <div class="container flex flex-col px-4 mx-auto mt-8 space-y-12 md:space-y-0 md:flex-row" >


            <div class="w-full grid grid-cols-1 gap-8 md:grid-flow-col md:grid-cols-2 md:grid-rows-2 md:gap-4">
            
            
              <div class="grid grid-cols-6 gap-4">
                
                <div class="border-2 w-[62px] h-[62px] border-brandGreen rounded-xl flex justify-center items-center">
                <span class="rounded-xl border-2 border-white w-[58px] h-[58px] bg-brandGreen text-3xl text-white flex justify-center items-center font-poppins font-bold">1</span>
                </div>
                <div class="col-span-5 px-6">
                  <h5 class="text-md font-bold text-left">Feature Title Goes Here</h5>
                  <p class="text-base text-fontBase text-left">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
                  </p>
                </div>
              </div>
            
            
              <div class="grid grid-cols-6 gap-4">
                
                <div class="border-2 w-[62px] h-[62px] border-brandGreen rounded-xl flex justify-center items-center">
                <span class="rounded-xl border-2 border-white w-[58px] h-[58px] bg-brandGreen text-3xl text-white flex justify-center items-center font-poppins font-bold">2</span>
                </div>
                <div class="col-span-5 px-6">
                  <h5 class="text-md font-bold text-left">Feature Title Goes Here</h5>
                  <p class="text-base text-fontBase text-left">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
                  </p>
                </div>
              </div>
            
              <div class="grid grid-cols-6 gap-4">
                
                <div class="border-2 w-[62px] h-[62px] border-brandGreen rounded-xl flex justify-center items-center">
                <span class="rounded-xl border-2 border-white w-[58px] h-[58px] bg-brandGreen text-3xl text-white flex justify-center items-center font-poppins font-bold">3</span>
                </div>
                <div class="col-span-5 px-6">
                  <h5 class="text-md font-bold text-left">Feature Title Goes Here</h5>
                  <p class="text-base text-fontBase text-left">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
                  </p>
                </div>
              </div>

              <div class="grid grid-cols-6 gap-4">
                
                <div class="border-2 w-[62px] h-[62px] border-brandGreen rounded-xl flex justify-center items-center">
                <span class="rounded-xl border-2 border-white w-[58px] h-[58px] bg-brandGreen text-3xl text-white flex justify-center items-center font-poppins font-bold">4</span>
                </div>
                <div class="col-span-5 px-6">
                  <h5 class="text-md font-bold text-left">Feature Title Goes Here</h5>
                  <p class="text-base text-fontBase text-left">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
                  </p>
                </div>
              </div>
          </div>
          
        </div>
    </section>

    <!-- Features -->
    <section id="features" class="bg-brandGreenLight py-12">
        <!-- Container to heading and testm blocks -->
        <div class="max-w-6xl px-5 mx-auto text-center">
            <!-- Heading -->
            <h2 class="text-4xl font-bold text-center uppercase py-8 pt-4 ">
                Features
            </h2>
            <!-- Feature Container -->
            <div class="flex flex-col mt-12 md:flex-row md:space-x-6 space-y-12 md:space-y-0">
                <!-- Feature 1 -->
                <div
                    class="flex flex-col items-left p-6 space-y-6 border rounded-lg border-borderGray bg-white md:w-1/3"
                >
                    <div class="relative">
                        <div class="absolute -top-14 left-0 w-20 h-20 bg-brandGreenLight border border-brandGreen rounded-lg p-2">
                            <img src="assets/icons/feature-1.svg" class="w-16 " alt="Feature" />
                        </div>
                    </div>

                    <h5 class="text-md font-bold pt-8 text-left">Feature Title Goes Here</h5>
                    <p class="text-base text-fontBase text-left">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                    </p>
                    <p class="text-base text-fontBase text-left">
                        Ut enim ad minim veniam, quis nostrud exercitation ullamco.
                    </p>
                    <p class="text-base text-fontBase text-left">
                        Duis aute irure dolor in reprehenderit in voluptate velit .
                    </p>
                </div>

                <!-- Feature 1 -->
                <div
                    class="flex flex-col items-left p-6 space-y-6 border rounded-lg border-borderGray bg-white md:w-1/3"
                >
                    <div class="relative">
                        <div class="absolute -top-14 left-0 w-20 h-20 bg-brandGreenLight border border-brandGreen items-center rounded-lg p-2">
                            <img src="assets/icons/emoji_transportation.svg" class="w-14 mx-auto inline-block align-middle" alt="Feature" />
                        </div>
                    </div>

                    <h5 class="text-md font-bold pt-8 text-left">Feature Title Goes Here</h5>
                    <p class="text-base text-fontBase text-left">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                    </p>
                    <p class="text-base text-fontBase text-left">
                        Ut enim ad minim veniam, quis nostrud exercitation ullamco.
                    </p>
                    <p class="text-base text-fontBase text-left">
                        Duis aute irure dolor in reprehenderit in voluptate velit .
                    </p>
                </div>

                <!-- Feature 1 -->
                <div
                    class="flex flex-col items-left p-6 space-y-6 border rounded-lg border-borderGray bg-white md:w-1/3"
                >
                    <div class="relative">
                        <div class="absolute -top-14 left-0 w-20 h-20 bg-brandGreenLight border border-brandGreen items-center rounded-lg p-2">
                            <img src="assets/icons/car_tag.svg" class="w-14 mx-auto inline-block align-middle" alt="Feature" />
                        </div>
                    </div>

                    <h5 class="text-md font-bold pt-8 text-left">Feature Title Goes Here</h5>
                    <p class="text-base text-fontBase text-left">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                    </p>
                    <p class="text-base text-fontBase text-left">
                        Ut enim ad minim veniam, quis nostrud exercitation ullamco.
                    </p>
                    <p class="text-base text-fontBase text-left">
                        Duis aute irure dolor in reprehenderit in voluptate velit .
                    </p>
                </div>

            </div>

        </div>
    </section>

    <!-- Services Section -->
    <section id="howitworks" class="py-16 space-y-14">
        <!-- Flex Container -->
        <div class="w-full flex items-center mx-auto py-4 pt-0 " >
            <!-- Heading -->
            <h2 class="text-4xl font-bold text-center mx-auto text-brandGreen uppercase">
                Our Services
            </h2>
        </div>
        <!-- Flex container -->
        <div class="container flex flex-col-reverse items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            <!-- Left -->
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <!-- List Item 1 -->

                <!-- Heading -->
                <h2 class="text-4xl font-bold text-left text-fontBase">
                    Meet & Greet
                </h2>
                <p class="text-left">
                    Meet & Greet is a premium service, also known as valet parking.
                    This is where a professional driver from your chosen company meets you at the terminal
                    to collect your vehicle and park it securely on your behalf.
                </p>
                <p class="text-left">
                    On your return, your car will be ready at the terminal, for a quick and easy handover.
                    This service is safely parked while you travel and is available when you return making
                    your travel experience smooth.
                </p>
            </div>

            <!-- Right -->
            <div class="flex flex-col md:w-1/2">
                <img src="assets/bg/bg_img_meet_greet.svg" alt="Meet and Greet" class="w-auto"/>
            </div>
        </div>

        <!-- Flex container -->
        <div class="container flex flex-col items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            <!-- Left -->
            <div class="flex flex-col md:w-1/2">
                <img src="assets/bg/bg_img_park_ride.svg" alt="Park & Ride" class="w-auto"/>
            </div>
            <!-- Right -->
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <!-- List Item 1 -->

                <!-- Heading -->
                <h2 class="text-4xl font-bold text-left text-fontBase">
                    Park & Ride
                </h2>
                <p class="text-left">
                    Park & Ride is the most budget - friendly parking option providing excellent value without
                    compromising on service. After parking your vehicle you can enjoy a complimentary shuttle bus
                    that departs every 5 to 15 minutes taking you directly to the terminal.
                </p>
                <p class="text-left">
                    This service combines affordability and customer care, allowing you to relax and enjoy the ride
                    without worrying about the safety of your vehicle. As our park and ride service is designed with
                    security in mind ensuring your car is protected while you travel.
                </p>
            </div>
        </div>

    </section>

    @push('modal')
        @include('partials.search-modal')
    @endpush
@endsection
