@extends('layouts.app')

@section('title', 'Holiday Parking - Privacy Policy')

@section('content')
    @include('partials.header', ['title' =>  __('pages.privacy.title')])

    {{-- Privacy Policy --}}
    <section id="terms-page" class="py-16 px-6 md:px-0">

        <!-- Flex container -->
        <div class="container flex flex-col items-center rounded-lg border border-brandGreen p-4 mx-auto">

            <ul class="flex flex-col space-y-8 text-base text-fontBase px-8 py-4 text-left">
                <li class="space-y-2">
                    <h5 class="font-bold pb-4 text-left">At Holiday Parking Services, we prioritise your privacy and are committed to protecting your personal information. We handle your data responsibly and only contact you for marketing promotions with your explicit consent. You can easily opt out at any time by calling, emailing, or writing to us.</h5>

                    <p class="text-left">
                        We never sell or share your personal information with third parties. The types of information we may collect include:
                    </p>

                    <div class="text-left">
                        <ul class="list-disc pl-5 space-y-2">
                            <li>Name</li>
                            <li>Phone number</li>
                            <li>Address</li>
                            <li>Email address</li>
                            <li>Details of services or products purchased</li>
                            <li>Payment details (debit/credit card)</li>
                            <li>Responses to surveys, questionnaires, and competitions</li>
                        </ul>
                    </div>
                </li>

                <li class="space-y-2">
                    <p class="text-left">
                        <span class="font-bold">We do not store credit/debit card details</span> and ensure that all customer data remains secure. Sensitive information is never collected without your explicit consent.
                    </p>
                </li>

                <li class="space-y-2">
                    <p class="text-left">
                        To maintain accuracy, we encourage you to review your information by contacting us via email. If any corrections are needed, we will update or delete your data promptly upon request. Your personal details are safeguarded through stringent security policies and legal compliance.
                    </p>
                </li>

                <li class="space-y-2">
                    <p class="text-left">
                        Our website may use cookies or tracking technology to analyse visitor behaviour and improve user experience. Cookies are stored on your device, but you can modify your browser settings to disable them. However, turning off cookies may limit access to certain promotions and website features. The collected data is used to assess group trends, not to identify individuals.
                    </p>
                </li>

                <li class="space-y-2">
                    <p class="text-left">
                        For any questions or concerns regarding our privacy policy, please <a href="{{ route ('contact') }}" target="_blank" title="Contact Us" class="font-bold">contact us</a> — your trust is our priority.
                    </p>
                </li>
            </ul>
        </div>

    </section>

@endsection
