<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN""http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Holiday Parking Booking Confirmation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <style type="text/css">
        body {
            width: 100% !important;
            -webkit-text-size-adjust: 100%;
            -ms-text-size-adjust: 100%;
            margin: 0;
            padding: 0;
            line-height: 100%;
        }

        table td {
            border-collapse: collapse;
        }

        table {
            border-collapse: collapse;
            mso-table-lspace: 0pt;
            mso-table-rspace: 0pt;
        }

        img {
            border: 0;
            outline: none;
            text-decoration: none;
            -ms-interpolation-mode: bicubic;
        }

        a img {
            border: none;
        }

        p {
            margin: 1em 0;
        }

    </style>
</head>
<body style="margin: 0; padding: 0;">
<table align="center" border="1" cellpadding="0" cellspacing="0" width="600" style="border: 2px solid #00ADB5;">
    <tr>
        <td align="center" bgcolor="#CCEFF0" style="padding: 40px 0 30px 0;">
            <img src="assets/logo/logo.svg" alt="Holiday Parking" width="200" style="display: block;"/>
        </td>
    </tr>
    <tr>
        <td bgcolor="#ffffff" style="padding: 40px 30px 40px 30px;">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td style="color: #153643; font-family: Arial, sans-serif; font-size: 24px;">
                        <b>Booking Confirmation</b>
                    </td>
                </tr>
                <tr>
                    <td style="padding: 20px 0 30px 0; color: #153643; font-family: Arial, sans-serif; font-size: 16px; line-height: 20px;">
                        Dear {{$data['customer']['first_name'] ?? '-'}} {{$data['customer']['last_name'] ?? '-'}},<br><br>
                        Thank you for booking your holiday parking with us. We're excited to help make your trip
                        stress-free!
                    </td>
                </tr>
                <tr>
                    <td>
                        <table border="1" cellpadding="10" cellspacing="0" width="100%">
                            <tr>
                                <td width="30%" style="font-family: Arial, sans-serif; font-size: 16px;"><b>Booking
                                        Reference:</b></td>
                                <td width="70%" style="font-family: Arial, sans-serif; font-size: 16px;">
                                    {{$data['id'] ?? '-'}}
                                </td>
                            </tr>
                            <tr>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;"><b>Arrival Date:</b></td>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;">{{$data['date_to']}}</td>
                            </tr>
                            <tr>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;"><b>Arrival Time:</b></td>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;">{{$data['date_totime'] ?? '-'}}</td>
                            </tr>
                            <tr>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;"><b>Departure Date:</b></td>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;">{{$data['date_from'] ?? '-'}}</td>
                            </tr>
                            <tr>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;"><b>Departure Time:</b></td>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;">{{$data['date_fromtime'] ?? '-'}}</td>
                            </tr>
                            <tr>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;"><b>Parking Location:</b>
                                </td>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;">{{$data['airport']['name'] ?? '-'}}
                                </td>
                            </tr>

                            @foreach($data['vehicles'] as $key => $vehicle)
                                <tr>
                                    <td style="font-family: Arial, sans-serif; font-size: 16px;"><b>Vehicle {{++$key}}
                                            Registration:</b></td>
                                    <td style="font-family: Arial, sans-serif; font-size: 16px;">
                                        {{$vehicle['vehicle_no']}}
                                    </td>
                                </tr>
                            @endforeach

                            <tr>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;"><b>Total Price:</b></td>
                                <td style="font-family: Arial, sans-serif; font-size: 16px;">{{$data['net_price'] ?? 'N/A'}}</td>
                            </tr>

                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="padding: 20px 0 0 0; color: #153643; font-family: Arial, sans-serif; font-size: 16px; line-height: 20px;">
                        Please keep this confirmation email for your records.
                    </td>
                </tr>
                <tr>
                    <td style="padding: 20px 0 0 0; color: #153643; font-family: Arial, sans-serif; font-size: 16px; line-height: 20px;">
                        If you have any questions, please contact us at {{$data['company']['email']}} or call us at {{$data['company']['phone']}}.
                    </td>
                </tr>

            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor="#00ADB5" style="padding: 30px 30px 30px 30px;">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td style="color: #ffffff; font-family: Arial, sans-serif; font-size: 14px;" width="75%">
                        &copy; {{date('Y')}} Holiday Parking Services. All rights reserved.
                    </td>
                    <td align="right" width="25%">
                        <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="font-family: Arial, sans-serif; font-size: 12px; font-weight: bold;">
                                    <a href="https://dev.holidayparkingservices.co.uk" target="_blank"
                                       style="color: #ffffff;">Visit Us</a>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</body>
</html>
