<form method="GET" action="{{ route('product.search') }}"
    class="flex flex-col mx-auto md:mx-0 bg-white items-center rounded-xl border-8 border-brandGreen max-w-lg min-w-94 md:min-w-515 p-4 space-y-4 drop-shadow-md">
    <h1 class="max-w-md text-4xl font-bold text-center mb-2" >
        Get a Quote
    </h1>
    @if ($errors->any())
        <div class="alert alert-danger text-sm">
            <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50" role="alert">
                <svg class="shrink-0 inline w-4 h-4 me-3" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 20">
                    <path d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z"/>
                </svg>
                <strong>Whoops!</strong> There were some problems with your input
            </div>

            <ul class="ps-5 pe-4">
                @foreach ($errors->all() as $error)
                    <li class="text-red-500 mt-1.5 list-disc list-inside">{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="flex flex-row justify-center items-center w-full h-14 border rounded border-borderGray p-1">
        <div class="flex flex-col w-1/12 h-ful text-fontBase">
            <img src="assets/icons/ic_airport.svg" alt="Airport" class="w-6"/>
        </div>
        <div class="flex flex-col w-11/12 ">
            <label for="airport" class="w-full font-semibold text-xs">Travelling From</label>
            <select id="countries" name="airport" class="fontBaseLighter text-sm rounded-sm bg-transparent focus:ring-transparent focus:border-transparent block w-full text-left py-0.5 px-2">
                @foreach($airports as $airport)
                    <option value="{{$airport->id}}">{{$airport->name}} </option>
                @endforeach
            </select>
        </div>

    </div>

    <div class="flex flex-row justify-center items-center w-full gap-x-3">
        <div class="flex flex-col w-1/2 h-14 border rounded border-borderGray p-1">
            <div class="flex flex-row justify-center items-center w-full h-ful">
                <div class="flex flex-col w-2/12 text-fontBase">
                    <img src="assets/icons/ic_date.svg" alt="Airport" class="w-6"/>
                </div>
                <div class="flex flex-col w-10/12">
                    <label for="dropoffdate" class="w-full font-semibold text-xs">Drop Off Date</label>

                    <!--remove-this-date-field--->
                    <!-- 
                    <input type="date" id="dropoffdate" name="dropoff_date" value="{{old('dropoff_date')}}"
                           class="text-fontBaseLighter text-sm rounded-sm focus:ring-brandGreen focus:border-brandGreen block w-full text-left">
                    -->
                    <!--remove-this-date-field--->


                    <!--New-datepicker-dropoffDate-use-this-->
                    <input
                        type="text"
                        id="dropoffdate"
                        name="dropoff_date"
                        value="{{old('dropoff_date')}}"
                        class="text-fontBaseLighter text-sm border border-transparent focus:outline-none focus:ring-0 focus:border-transparent block w-full text-left"
                        placeholder="Drop off Date"
                        readonly
                    />

                    <div id="dropoffDate-container" class="absolute top-full left-0 mt-2 text-xs z-10 bg-white border rounded shadow-md min-w-64 hidden">
                          <div class="p-4">
                            <div id="dropoffDate-header" class="flex justify-between items-center mb-2">
                              <button id="dropoffDate-prev" class="p-1 hover:bg-brandGreenLight rounded">
                                &lt;
                              </button>
                              <span id="dropoffDate-month-year"></span>
                              <button id="dropoffDate-next" class="p-1 hover:bg-brandGreenLight rounded">
                                &gt;
                              </button>
                            </div>
                            <div id="dropoffDate-grid" class="grid grid-cols-7 gap-1"></div>
                          </div>
                        </div>

                    <!--Neew-datepicker-dropoff-Date-Ends-->


                </div>
            </div>
        </div>

        <div class="flex flex-col w-1/2 h-14 border rounded border-borderGray p-1">
            <div class="flex flex-row justify-center items-center w-full h-full">
                <div class="flex flex-col w-2/12 text-fontBase">
                    <img src="assets/icons/ic_time_clock.svg" alt="Airport" class="w-6"/>
                </div>
                <div class="flex flex-col w-10/12">
                    <label for="dropofftime" class="w-full font-semibold text-xs">Drop Off Time</label>
                    <input type="time" id="dropofftime" name="dropoff_time"  value="{{old('dropoff_time')}}"
                           class="text-fontBaseLighter text-sm rounded-sm focus:ring-brandGreen focus:border-brandGreen block w-full text-left">
                </div>
            </div>
        </div>
    </div>

    <div class="flex flex-row justify-center items-center w-full gap-x-3">
        <div class="flex flex-col w-1/2 h-14 border rounded border-borderGray p-1">
            <div class="flex flex-row justify-center items-center w-full ">
                <div class="flex flex-col w-2/12 text-fontBase h-ful">
                    <img src="assets/icons/ic_date.svg" alt="Airport" class="w-6"/>
                </div>
                <div class="flex flex-col w-10/12">
                    <label for="pickupdate" class="w-full font-semibold text-xs">Pickup Date</label>

                    <!--remove-this-date-field--->
                    <!--
                    <input type="date" id="pickupdate" name="pickup_date"  value="{{old('pickup_date')}}"
                           class="text-fontBaseLighter text-sm rounded-sm focus:ring-brandGreen focus:border-brandGreen block w-full text-left">
                    -->
                    <!--remove-this-date-field--->

                    <!--New-datepicker-pickupDate-use-this-->

                    <input
                        type="text"
                        id="pickupdate"
                        name="pickup_date"
                        value="{{old('pickup_date')}}"
                        class="text-fontBaseLighter text-sm border border-transparent focus:outline-none focus:ring-0 focus:border-transparent block w-full text-left"
                        placeholder="Pickup Date"
                        readonly
                        />

                        <div id="pickupDate-container" class="absolute top-full left-0 mt-2 text-xs z-10 bg-white border rounded shadow-md min-w-64 hidden">
                          <div class="p-4">
                            <div id="pickupDate-header" class="flex justify-between items-center mb-2">
                              <button id="pickupDate-prev" class="p-1 hover:bg-brandGreenLight rounded">
                                &lt;
                              </button>
                              <span id="pickupDate-month-year"></span>
                              <button id="pickupDate-next" class="p-1 hover:bg-brandGreenLight rounded">
                                &gt;
                              </button>
                            </div>
                            <div id="pickupDate-grid" class="grid grid-cols-7 gap-1"></div>
                          </div>
                        </div>

                    <!--New-datepicker-pickupDate-use-this-->


                </div>
            </div>
        </div>
        <div class="flex flex-col w-1/2 h-14 border rounded border-borderGray p-1">
            <div class="flex flex-row justify-center items-center w-full">
                <div class="flex flex-col w-2/12 text-fontBase h-ful">
                    <img src="assets/icons/ic_time_clock.svg" alt="Airport" class="w-6"/>
                </div>
                <div class="flex flex-col w-10/12">
                    <label for="pickuptime" class="w-full font-semibold text-xs">Pickup Time</label>
                    <input type="time" id="pickuptime" name="pickup_time"  value="{{old('pickup_time')}}"
                           class="text-fontBaseLighter text-sm rounded-sm focus:ring-brandGreen focus:border-brandGreen block w-full text-left">
                </div>
            </div>
        </div>
    </div>


    <div class="flex flex-row justify-center items-center w-full h-14 border rounded border-borderGray p-1">
        <div class="flex flex-col w-1/12 text-fontBase justify-center h-full">
            <img src="assets/icons/ic_promo.svg" alt="Airport" class="w-6"/>
        </div>
        <div class="flex flex-col w-11/12">
            <label for="promocode" class="w-full font-semibold text-xs">Promo Code</label>
            <input type="text" id="promocode" name="promo_code" placeholder="Enter Promo Code"
                   class="text-fontBaseLighter text-sm rounded-sm focus:ring-brandGreen focus:border-brandGreen block w-full text-left" />
        </div>
    </div>

    <div class="flex flex-row justify-center items-center w-full p-2">
        <button id="searchBtn" type="submit" class="text-base bg-mainCTA text-white font-bold py-4 px-10 rounded-lg ">Find Best Parking Deals</button>
    </div>

</form>