@extends('layouts.app')

@section('title', 'Holiday Parking - Home')

@section('content')

    <!-- How-It-Works -->
    <section class="text-fontBase font-poppins">

        <!-- Flex Container -->
        {{--        <div class="w-full flex bg-brandGreen items-center mx-auto py-4" >--}}
        {{--            @include('partials.search-inline', ['filters' => $filters])--}}
        {{--        </div>--}}

        <div class="w-full flex bg-brandGreen items-center mx-auto py-4">
            @include('partials.search-inline-new', ['filters' => $filters])
        </div>

        <div class="container flex flex-col md:flex-row space-y-4 md:space-y-0 md:space-x-3 py-4 px-4 md:px-0 mx-auto">
            <!-- Results Tag-->
            <div class="w-full flex bg-brandGreen/25 items-left mx-auto py-2 px-4 rounded-lg">
                <p class="text-left text-sm">Showing best rates available for airport parking at Heathrow</p>
            </div>
        </div>
    </section>

    <section id="deals-page" class="pb-16">
        <div class="w-full flex justify-center items-center mx-auto">
            @if ($errors->any())
                <div class="alert alert-danger text-sm">
                    <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50" role="alert">
                        <svg class="shrink-0 inline w-4 h-4 me-3" aria-hidden="true"
                             xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 20">
                            <path
                                d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z"/>
                        </svg>
                        <strong>Whoops!</strong> There were some problems with your input
                    </div>
                    <ul class="ps-5 pe-4">
                        @foreach ($errors->all() as $error)
                            <li class="text-red-500 mt-1.5 list-disc list-inside">{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>
        <!-- Flex container -->
        <form action="{{ route('product.booking') }}" method="get" class="flex flex-row">

            <div class="container flex flex-col px-4 mx-auto mt-8 space-y-12 md:space-y-0 md:flex-row">
                @foreach($packages as $chunkProducts)
                    <div
                        class="items-center justify-center grid grid-cols-{{count($chunkProducts)}} gap-4 px-2 pb-4 mx-auto space-x-2">

                        <input type="hidden" name="airport" value="{{old('airport')}}">
                        <input type="hidden" name="dropoff_date" value="{{old('dropoff_date')}}">
                        <input type="hidden" name="dropoff_time" value="{{old('dropoff_time')}}">
                        <input type="hidden" name="pickup_date" value="{{old('pickup_date')}}">
                        <input type="hidden" name="pickup_time" value="{{old('pickup_time')}}">

                        @foreach($chunkProducts as $package)

                            @include('partials.package-card', ['package' => $package])

                        @endforeach

                    </div>
                @endforeach

            </div>
        </form>
    </section>

    @push('modal')
        @include('partials.search-modal')
    @endpush
@endsection
