@extends('layouts.app')

@section('title', 'Holiday Parking - What We Offer')

@section('content')
    @include('partials.header', ['title' =>  __('pages.what_we_offer.title')])

    {{-- About Section --}}
    <section id="about-page" class="py-4 space-y-14">
        <div class="container flex flex-col-reverse items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            {{-- Left Side --}}
            <div class="flex flex-col md:w-1/2">
                <img src="{{ asset('assets/bg/bg_img_what_we_offer.svg') }}" alt="what we offer" class="w-auto"/>
            </div>
            {{-- Right Side --}}
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <p class="text-left">
                    {{ __('pages.what_we_offer.desc_1') }}
                </p>
                <p class="text-left">
                    {{ __('pages.what_we_offer.desc_2') }}
                </p>
                <p class="text-left">
                    {{ __('pages.what_we_offer.desc_3') }}
                </p>
                <p class="text-left">
                    {{ __('pages.what_we_offer.desc_4') }}
                </p>
                <p class="text-left">
                    {{ __('pages.what_we_offer.desc_5') }}
                </p>
            </div>
        </div>
    </section>

    {{-- Features Section --}}
    <section id="features-page" class="pb-20">
        <div class="max-w-6xl px-5 mx-auto text-center bg-brandGreen py-8 px-10 rounded-lg">
            <div class="flex flex-col md:flex-row space-y-12 md:space-y-0 text-white">
                @foreach($features as $feature)
                    <div class="flex flex-col items-center p-6 space-y-6 md:w-1/3 {{ !$loop->first && !$loop->last ? 'md:border-x md:border-white' : '' }}">
                        <div class="w-20 h-20">
                            <img src="{{ asset('assets/icons/ic_feature' . ($loop->iteration) . '.svg') }}"
                                 class="w-16"
                                 alt="Feature {{ $loop->iteration }}" />
                        </div>
                        <h5 class="text-md font-bold text-center">{{ $feature['title'] }}</h5>
                        <p class="text-base text-center">
                            {{ $feature['description'] }}
                        </p>
                    </div>
                @endforeach
            </div>
        </div>
    </section>
@endsection
