<?php $__env->startSection('title', 'Holiday Parking - Term and Conditions'); ?>

<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('partials.header', ['title' =>  __('pages.terms.title')], array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>

    
    <section id="terms-page" class="py-16 px-6 md:px-0">

        <!-- Flex container -->
        <div class="container flex flex-col items-center rounded-lg border border-brandGreen p-4 mx-auto">

            <ul class="flex flex-col space-y-8 text-base text-fontBase px-8 py-4 text-left">
                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">Introduction</h5>
                    <p class="text-left">
                        Holiday parking services operate as a booking platform for parking services,
                        while the responsibility for the vehicle remains with the parking service dealers.
                        By accessing and using our website, you confirm that you have read, understood,
                        and agreed to these terms and conditions.
                    </p>
                    <p class="text-left">
                        For any questions, please reach out to us through our enquire form on our website.
                        We aim to respond within 7 working days. For urgent matters, you can contact us by phone
                        or email between 9:00 and 17:00 from Monday to Friday.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">1. Services Provided</h5>
                    <p class="text-left">
                        1.1 Holiday Parking Services offers a platform to compare airport parking services,
                        including prices, locations, and availability. The information provided is sourced from third-party
                        dealers and aims to assist users in making informed decisions
                    </p>

                    <p class="text-left">
                        1.2 Holiday Parking Services does not offer airport parking services directly. We only act as an intermediary by displaying information from parking service dealers. The actual booking and payment processes are handled by the dealers or their respective websites.
                    </p>

                    <p class="text-left">
                        1.3 While we strive to ensure the accuracy of the information displayed, we do not guarantee that all details, such as availability, prices, or offers, are current or correct at all times. Users should verify all details directly with the dealers before making a booking.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">2. User Responsibilities</h5>
                    <p class="text-left">
                        2.1 Users are responsible for ensuring the information they provide when using our platform is accurate and up to date.
                    </p>
                    <p class="text-left">
                        2.2 We will try our best to ensure that any updates or changes are made to the website if and when required.
                    </p>
                    <p class="text-left">
                        2.3 You agree to use the Website only for lawful purposes. Any attempt to manipulate or interfere with the functioning of the Website or engage in illegal activity through it may result in the termination of your access and potential legal action.
                    </p>
                    <p class="text-left">
                        2.4 Users should confirm any booking details with the actual dealer, including their policies on cancellations, refunds, and changes to reservations.
                    </p>

                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">3. Third-Party Links and Content</h5>
                    <p class="text-left">
                        3.1 The Website may contain links to third-party websites, including those of the dealers. We are not responsible for the content, accuracy, or availability of any linked sites, nor do we endorse the services or products offered by these third-party websites.
                    </p>
                    <p class="text-left">
                        3.2 When you click on these links and leave our platform, you are subject to the terms and conditions and privacy policies of those third-party websites.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">4. Limitation of Liability</h5>
                    <p class="text-left">
                        4.1 Holiday Parking Services is not liable for any direct or indirect loss, damages, or inconvenience arising from the use of or reliance on the information provided on our website or through interactions with third-party dealers.
                    </p>
                    <p class="text-left">
                        4.2 Any disputes, claims, or issues relating to bookings or services provided by third-party dealers are solely between the user and the dealer.
                    </p>
                    <p class="text-left">
                        4.3 We are not responsible for any interruptions, errors, or security breaches affecting the availability or functioning of the Website.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">5. Disclaimers</h5>
                    <p class="text-left">
                        5.1 The content provided on Holiday Parking Services is for informational purposes only and does not constitute an endorsement or guarantee of any dealers’ services.
                    </p>
                    <p class="text-left">
                        5.2 We do not guarantee that the Website will be error-free or that it will always operate without disruptions. All information is provided "as is" and "as available."
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">6. Intellectual Property</h5>
                    <p class="text-left">
                        6.1 All content, logos, graphics, design elements, and software used on this Website are the intellectual property of Holiday Parking Services or its licensors unless otherwise stated.
                    </p>
                    <p class="text-left">
                        6.2 Users may not reproduce, distribute, modify, or exploit any of the Website's content without prior written consent from Holiday Parking Services.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">7. Changes to Terms</h5>
                    <p class="text-left">
                        7.1 We reserve the right to modify these Terms and Conditions at any time without prior notice. It is the user's responsibility to review the Terms periodically. Your continued use of the Website constitutes acceptance of any changes.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">8. Termination</h5>
                    <p class="text-left">
                        8.1 We reserve the right to terminate or suspend your access to the Website at our discretion, without notice, for any reason, including but not limited to a breach of these Terms.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">9. Complaints Procedure</h5>
                    <p class="text-left">
                        9.1 At Holiday Parking Services we aim to ensure that all users have a positive experience on our platform. However, if you feel dissatisfied with our service or any information provided, we welcome the opportunity to resolve your concerns promptly and efficiently. The following outlines the steps for raising a complaint and how we will address it.
                    </p>
                    <p class="text-left font-semibold">
                        9.2 Submitting a Complaint
                    </p>
                    <p class="text-left">
                        If you wish to file a complaint regarding our comparison services, please contact us via one of the following methods:
                    </p>
                    <p class="text-left">
                        •	Email: complaints@holidayparkingservices.co.uk
                    </p>
                    <p class="text-left">
                        •	Phone: +44 7397 272247
                    </p>
                    <p class="text-left font-semibold">
                        9.3 Acknowledgment of Complaint
                    </p>
                    <p class="text-left">
                        Upon receiving your complaint, we will attempt to send you an acknowledgement within <span class="font-bold">7 business days. </span>
                    </p>
                    <p class="text-left font-semibold">
                        9.4 Outcome
                    </p>
                    <p class="text-left">
                        In response to your complaint, we will communicate the outcome to you in writing, including: </br>
                        •	A summary of our findings. </br>
                        •	Any actions taken to address your concerns, where applicable.
                    </p>
                    <p class="text-left ">
                        9.5 If the issue remains unresolved after our final response, you may seek independent advice or consider alternative dispute resolution methods
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">10. Cancellation Policy</h5>
                    <p class="text-left">
                        10.1 Cancellations must be made directly with the parking dealer. Any cancellations attempted to be processed through holiday parking services will not be recognised.
                    </p>
                    <p class="text-left">
                        10.2 Refunds will not be provided for any unused portion of a stay.
                    </p>
                    <p class="text-left">
                        10.3 For any cancellation, please refer to the terms and conditions of the dealer you have chosen.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">11. Parking at Your Own Risk</h5>
                    <p class="text-left">
                        11.1 When using the services of any parking dealer listed on Holiday Parking Services, you acknowledge and agree that parking is at your own risk. Holiday Parking Services and its affiliated dealers do not assume responsibility for any loss, theft, or damage to vehicles or their contents while parked at any location.
                    </p>
                    <p class="text-left">
                        11.2 It is the responsibility of the customer to ensure their vehicle is properly secured before leaving it in any parking facility. This includes ensuring all windows are closed, and valuable items are not left behind.
                    </p>
                    <p class="text-left">
                        11.3 Holiday Parking Services acts solely as a comparison and booking platform. We do not own or operate any of the parking facilities listed on our site and are not liable for any incidents, damages, or losses occurring on the premises of the third-party parking dealers.
                    </p>
                    <p class="text-left">
                        11.4 Any claims or disputes regarding damage, loss, or theft should be addressed directly with the parking dealer, according to their terms and conditions.
                    </p>
                    <p class="text-left">
                        11.5 We recommend customers review the specific terms and conditions of their chosen parking dealer for more detailed information on their policies regarding liability and risk.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">12. Delays</h5>
                    <p class="text-left">
                        12.1 If you experience a delay on your arrival due to a flight, immigration, or other unexpected circumstances, please contact the office number of your dealer as soon as you come to terms with the delays. The contact number is provided in your confirmation. If you do not arrive or fail to notify the dealers before the grace period ends, please note that additional fees may apply, or your reserved stay may no longer be available.
                    </p>
                </li>

                <li class="space-y-4">
                    <h5 class="font-bold pb-4 text-left">Contact Us</h5>
                    <p class="text-left">
                        If you have any questions regarding these Terms and Conditions, please contact us at: <br/>
                        <a href="mailto:enquiries@holidayparkingservices.co.uk" title="Write to us">enquiries@holidayparkingservices.co.uk</a><br/>
                        <a href="tel:+447397272247" title="Call us">+44 7397 272247</a>
                    </p>
                </li>

            </ul>
        </div>

    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /var/www/html/dev_holidayparkingservices/resources/views/legal/terms-and-conditions.blade.php ENDPATH**/ ?>